Loading...
Searching...
No Matches
sar_tools.hpp File Reference
Private

a set of tools aims to help Segmentation And Reassemblement (sar) class More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "entrepot.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions

std::string | libdar::sar_tools_make_filename (const std::string &base_name, const infinint &num, const infinint &min_digits, const std::string &ext)
bool | libdar::sar_tools_extract_num (const std::string &filename, const std::string &base_name, const infinint &min_digits, const std::string &ext, infinint &ret)
bool | libdar::sar_tools_get_higher_number_in_dir (user_interaction &ui, entrepot &entr, const std::string &base_name, const infinint &min_digits, const std::string &ext, infinint &ret)
void | libdar::sar_tools_remove_higher_slices_than (entrepot &entr, const std::string &base_name, const infinint &min_digits, const std::string &ext, const infinint &higher_slice_num_to_keep, user_interaction &ui)
std::string | libdar::sar_tools_make_padded_number (const std::string &num, const infinint &min_digits)

## Detailed Description

a set of tools aims to help Segmentation And Reassemblement (sar) class

Definition in file sar_tools.hpp.